## GstARGBControlBinding GstARGBControlBinding — attachment for control sources to argb properties |

## Functions

GstControlBinding * | gst_argb_control_binding_new ()

## Properties

GstControlSource * | control-source-a | Read / Write / Construct
GstControlSource * | control-source-b | Read / Write / Construct
GstControlSource * | control-source-g | Read / Write / Construct
GstControlSource * | control-source-r | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstControlBinding
                    ╰── GstARGBControlBinding

## Includes

    #include <libs/controller/controller.h>

## Description

A value mapping object that attaches multiple control sources to a guint gobject properties representing a color. A control value of 0.0 will turn the color component off and a value of 1.0 will be the color level.

## Functions

### gst_argb_control_binding_new ()

    GstControlBinding *
    gst_argb_control_binding_new (GstObject *object,
                                  const gchar *property_name,
                                  GstControlSource *cs_a,
                                  GstControlSource *cs_r,
                                  GstControlSource *cs_g,
                                  GstControlSource *cs_b);

Create a new control-binding that attaches the given GstControlSource to the GObject property.

#### Parameters

object | the object of the property |
property_name | the property-name to attach the control source |
cs_a | the control source for the alpha channel |
cs_r | the control source for the red channel |
cs_g | the control source for the green channel |
cs_b | the control source for the blue channel |

#### Returns

the new GstARGBControlBinding.

[transfer floating]

## Types and Values

## Property Details

### The `“control-source-a”` property

      “control-source-a”         GstControlSource *

The control source for the alpha color component.

Flags: Read / Write / Construct

### The `“control-source-b”` property

      “control-source-b”         GstControlSource *

The control source for the blue color component.

Flags: Read / Write / Construct

### The `“control-source-g”` property

      “control-source-g”         GstControlSource *

The control source for the green color component.

Flags: Read / Write / Construct

### The `“control-source-r”` property

      “control-source-r”         GstControlSource *

The control source for the red color component.

Flags: Read / Write / Construct